package com.jkcredit.location.action;

import com.jkcredit.location.model.CommonResponseObject;
import com.jkcredit.location.model.TokenResponseObject;
import com.jkcredit.location.service.TokenService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
public class TokenAction {
    @Autowired
    TokenService tokenService;

    @RequestMapping("/tokenNotExist")
    public CommonResponseObject tokenNotExist(HttpServletRequest request) {
        /**
         * {
         *     "accessId": "",
         *     "resultCode": 9953,
         *     "resultBody": "token值不存在",
         *     "transationId": "0738a2f3a4595e53"
         * }
         */
        CommonResponseObject responseObject = new CommonResponseObject();
        responseObject.setAccessId("");
        responseObject.setResultCode(9953);
        responseObject.setResultBody("token值不存在");
        responseObject.setTransationId(request.getAttribute("transationId").toString());
        return responseObject;
    }

    @RequestMapping("/tokenError")
    public CommonResponseObject tokenError(HttpServletRequest request) {
        CommonResponseObject responseObject = new CommonResponseObject();
        responseObject.setAccessId("");
        responseObject.setResultCode(9954);
        responseObject.setResultBody("token不正确");
        responseObject.setTransationId(request.getAttribute("transationId").toString());
        return responseObject;
    }

    @GetMapping("/mrcp/gateway-ct/getToken.do")
    public TokenResponseObject token(@RequestParam String appId, @RequestParam String appSecret) {
        TokenResponseObject tokenResponseObject = new TokenResponseObject();
        String token = tokenService.getToken(appId, appSecret);
        if (StringUtils.isBlank(token)) {
            tokenResponseObject.setCode(2002);
        } else {
            tokenResponseObject.setToken(token);
            tokenResponseObject.setMessage("成功");
            tokenResponseObject.setCode(2000);
        }

        return tokenResponseObject;
    }
}
