package com.jkcredit.location.handler;

import com.jkcredit.location.constant.CommonConstant;
import com.jkcredit.location.model.CommonResponseObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestControllerAdvice(annotations = RestController.class)
@Slf4j
public class GlobalExceptionHandler {
    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public CommonResponseObject errorHandler(HttpServletRequest req, Exception ex) {
        CommonResponseObject commonResponseObject = new CommonResponseObject();
        commonResponseObject.setResultCode(CommonConstant.JK_RETURN_CODE_OTHER_ERROR);
        commonResponseObject.setResultBody(CommonConstant.OTHER_ERROR);
        commonResponseObject.setTransationId(req.getAttribute("transationId").toString());
        if (req.getAttribute("accessId") != null) {
            commonResponseObject.setAccessId(req.getAttribute("accessId").toString());
        }
        log.error("transationId:{}, exception:{}", req.getAttribute("transationId").toString(), ex.getMessage());
        return commonResponseObject;
    }
}
